v1.0.0
OpenAPI 3.1.0

List broadcasts

US region

Client Libraries

List broadcasts

Returns a list of your API-triggered broadcasts and associated metadata.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/broadcasts
curl https://api.customer.io/v1/broadcasts \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "broadcasts": [
    {
      "id": 2,
      "deduplicate_id": "2:1520467200",
      "created": 1520467200,
      "type": "triggered_broadcast",
      "updated": 1520467200,
      "name": "basic",
      "active": true,
      "state": "running",
      "actions": [
        {
          "id": 3,
          "type": "email"
        },
        {
          "id": 4
        },
        {
          "type": "webhook"
        }
      ],
      "tags": "nil",
      "first_started": 1520467200,
      "created_by": "ExamplePerson"
    }
  ]
}